import {NgModule} from '@angular/core';

import {PreviousRouteRecorder} from '../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {IsRouteEnabled} from '../openaireLibrary/error/isRouteEnabled.guard'
import {RouterModule} from '@angular/router';

import {AffiliationsComponent} from './affiliations.component';
import {AffiliationService} from "../openaireLibrary/connect/affiliations/affiliation.service";
import {CommonModule} from "@angular/common";
import {UrlPrefixModule} from "../openaireLibrary/utils/pipes/url-prefix.module";

@NgModule({
  imports: [
    CommonModule, RouterModule, UrlPrefixModule
  ],
  declarations: [
    AffiliationsComponent
  ],
  providers:[PreviousRouteRecorder, IsRouteEnabled, AffiliationService],
  exports: [
    AffiliationsComponent
  ]
})


export class AffiliationsModule{}
