import { NgModule} from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule }  from '@angular/forms';
import { RouterModule } from '@angular/router';

import {CuratorsComponent} from './curators.component';
import {CuratorService} from "../openaireLibrary/connect/curators/curator.service";
import {CuratorsRoutingModule} from "./curators-routing.module";
import {AffiliationsModule} from "../affiliations/affiliations.module";
import {HelperModule} from "../openaireLibrary/utils/helper/helper.module";
import {Schema2jsonldModule} from "../openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
import {SEOServiceModule} from "../openaireLibrary/sharedComponents/SEO/SEOService.module";
import {PiwikServiceModule} from "../openaireLibrary/utils/piwik/piwikService.module";
import {BreadcrumbsModule} from "../openaireLibrary/utils/breadcrumbs/breadcrumbs.module";
import {UrlPrefixModule} from "../openaireLibrary/utils/pipes/url-prefix.module";
import {LoadingModule} from '../openaireLibrary/utils/loading/loading.module';
import {FullScreenModalModule} from '../openaireLibrary/utils/modal/full-screen-modal/full-screen-modal.module';

@NgModule({
  imports: [
    CommonModule, FormsModule, RouterModule,
    CuratorsRoutingModule, AffiliationsModule, HelperModule,
    Schema2jsonldModule, SEOServiceModule, PiwikServiceModule,
    BreadcrumbsModule, UrlPrefixModule, LoadingModule,
		FullScreenModalModule
  ],
  declarations: [
    CuratorsComponent
  ],
  providers: [CuratorService],
  exports: [
    CuratorsComponent
  ]
})
export class CuratorsModule {}
