import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule} from '@angular/router';

import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {PiwikService} from '../../openaireLibrary/utils/piwik/piwik.service';

import {FaqsComponent} from "./faqs.component";
import {FaqsRoutingModule} from "./faqs-routing.module";
import {HelperModule} from "../../openaireLibrary/utils/helper/helper.module";
import {IsRouteEnabled} from "../../openaireLibrary/error/isRouteEnabled.guard";
import {Schema2jsonldModule} from "../../openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
import {SEOServiceModule} from "../../openaireLibrary/sharedComponents/SEO/SEOService.module";
import {BreadcrumbsModule} from "../../openaireLibrary/utils/breadcrumbs/breadcrumbs.module";
import {HtmlPagesModule} from "../../htmlPages/htmlPages.module";

@NgModule({
  imports: [
    CommonModule, RouterModule, FaqsRoutingModule, HelperModule,
    Schema2jsonldModule, SEOServiceModule, BreadcrumbsModule, HtmlPagesModule
  ],
  declarations: [
    FaqsComponent
  ],
  exports: [
    FaqsComponent
  ],
  providers:[
    PreviousRouteRecorder, PiwikService, IsRouteEnabled
  ]
})
export class FaqsModule { }
